/********************************************************************************
 *   dciBalance -- balance today plugin.                                        *
 *                                                                              * 
 *   Copyright (C) 2004-2007 dci (dev@cpp.in)                                   *
 *                                                                              *
 *   This program is free software; you can redistribute it and/or              *
 *   modify it under the terms of the GNU General Public License version 2      *
 *   as published by the Free Software Foundation.                              *
 *                                                                              *
 *   This program is distributed in the hope that it will be useful,            *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          *
 *   General Public License version 2 for more details.                         *
 *                                                                              *
 *   You should have received a copy of the GNU General Public License          *
 *   version 2 along with this library; if not, write to the Free Software      *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 ********************************************************************************
 */


#ifndef _DCIBALANCE_H_
#define _DCIBALANCE_H_

#include <windows.h>
#include <aygshell.h>
#include <todaycmn.h>

#include "timelib.h"
#include "phone.h"

#include "resource.h"

//
#define PANEL_WND_STRING L"DCIBALANCEWND"

//
#define TRANSPARENT_BACK RGB(1,2,3)

//
#define STATUS_IDLE 0
#define STATUS_IDLE_NOTACTUAL 1
#define STATUS_UPDATING 2
#define STATUS_UPDATED_OK 3
#define STATUS_UPDATED_ERR 4


//
BOOL CustomItemOptionsDlgProc ( HWND hDlg, UINT Msg, WPARAM wParam, LPARAM lParam );
DWORD UpdateThread ( LPVOID lpParam );
void HandleDisconnect ( );
int wcsreplace ( wchar_t * string, const wchar_t * find, const wchar_t * replace );
static LRESULT CALLBACK WndProc ( HWND hWnd, UINT Msg, WPARAM wParam, LPARAM lParam );
HWND InitializeCustomItem ( TODAYLISTITEM * ptli, HWND hwndParent );
void SaveSettings ( );
BOOL APIENTRY DllMain(HANDLE hModule, DWORD Reason, LPVOID lpReserved);

#endif
