/********************************************************************************
 *   dciBalance -- balance today plugin.                                        *
 *                                                                              * 
 *   Copyright (C) 2004-2007 dci (dev@cpp.in)                                   *
 *                                                                              *
 *   This program is free software; you can redistribute it and/or              *
 *   modify it under the terms of the GNU General Public License version 2      *
 *   as published by the Free Software Foundation.                              *
 *                                                                              *
 *   This program is distributed in the hope that it will be useful,            *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          *
 *   General Public License version 2 for more details.                         *
 *                                                                              *
 *   You should have received a copy of the GNU General Public License          *
 *   version 2 along with this library; if not, write to the Free Software      *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 ********************************************************************************
 */


#ifndef _TIMELIB_H_INCLUDED_
#define _TIMELIB_H_INCLUDED_

#include <windows.h>
#include <time.h>

#ifndef _TIME_T_DEFINED
typedef unsigned long time_t
#define _TIME_T_DEFINED
#endif

time_t ft_to_time ( FILETIME * ft );
void time_to_ft ( time_t timev, FILETIME * ft );
time_t st_to_time ( SYSTEMTIME * st );
void time_to_st ( time_t timev, SYSTEMTIME * st );
time_t get_time ( );

#endif
